[해외 웹호스팅] Bluehost에서 Opcache를 설치하여 속도 향상시키기

Last Updated: 2023년 07월 17일 | , 댓글 남기기

현재 이 블로그는 해외 웹호스팅 서비스 중 하나인 Bluehost(블루호스트)에서 호스팅되고 있습니다. 최근까지 PHP 5.6을 적용해다가 EasyApache 버전을 4로 업그레이드하면서 PHP 7을 적용하고 있습니다("블루호스트에서 EasyApache 3를 EasyApache 4로 이전하기" 참고).

PHP 7을 적용하니 W3 Total Cache에서 memcached와 Opcode를 사용할 수 없게 되었습니다. 블루호스트 담당자에게 물어보니 memcached도 WHM에서 설치가 가능하다고 하네요. 하지만 memcached를 설치해보니 W3 Total Cache에서 여전히 사용할 수 없었습니다. 대신 Opcache를 설치하니 자동으로 W3 Total Cache에서 활성화되고 속도도 조금 나아진 것 같습니다.

Opcache(Opcode: Zend Opcache)가 비활성화되어 있다면 다음과 같은 과정에 따라서 Opcache를 설치할 수 있습니다. (아래 과정은 Bluehost VPS를 기준으로 한 것이며 Shared Hosting(공유 호스팅)에서는 적용되지 않습니다.)

  1. 먼저 WHM에 로그인합니다. WHM에 접속하는 방법을 잘 모르는 경우 이 글을 참고해보시기 바랍니다.
  2. WHM에 로그인한 후에 왼쪽 상단에 있는 검색 상자에 Easy를 입력하고 EasyApache 4를 선택합니다. 그러면 다음과 같은 화면이 표시됩니다.
    블루호스트에서 Opcode Cache 설치하기
  3. Currently Installed Packages(현재 설치된 패키지)에서 Customize(커스터마이즈)를 클릭합니다.
  4. 그러면 Loading packages...가 표시되고 조금 있으면 설치된 Apache Modules 등이 표시됩니다. 왼쪽에서 PHP Extensions를 선택합니다.
  5. 검색 상자에 opcache를 입력하면 설치 가능한 Zend OPcache 익스텐션이 표시됩니다. 설치를 원하는 것을 선택한 다음에 맨 아래의 Next를 클릭하여 설치를 진행합니다.

설치가 제대로 되면 W3 Total Cache의 General 설정 아래에 보면 다음과 같이 Opcode Cache가 활성화됩니다.

블루호스트 Opcache 설정

작년에는 PHP 7을 적용할 경우 워드프레스 플러그인 호환성 문제 때문에 제대로 이용하기가 쉽지 않았지만, 이제는 일부를 제외하고는 많은 플러그인이 PHP 7과 호환될 것 같습니다. EasyApache 4에서 여러 가지 PHP 버전을 패키지로 설치하면 간편하게 PHP 버전을 설정할 수 있습니다. 카페24의 경우 PHP 5.x를 사용하다가 PHP 7으로 바꾸려면 기존 사이트가 모두 삭제되고 데이터와 DB를 다시 복원하여야만 합니다. 문제가 될 경우 다시 비슷한 과정을 통해 PHP 5.x대로 다운그레이드시켜야 하니 다소 불편할 수 있습니다. EasyApache에서는 간단히 PHP 버전만 선택하면 PHP 버전이 적용됩니다. 문제가 되면 버전만 바꾸어주면 됩니다.

참고로 cpanel 테마를 블루호스트 기본 테마인 bluehost 대신 paper_lantern이라는 테마로 바꾸니 Bluehost cpanel에 보이지 않던 메뉴가 표시되네요.

사이트 최적화 - 해외 웹호스팅 블루호스트

위와 같이 "Optimize Website"라는 아이콘도 있어서 한 번 클릭해보니 컨텐츠를 압축하여 사이트 속도를 높여주는 기능 같습니다. 사이트 속도로 고민되는 경우 한 번 시도해보아도 괜찮을 것 같습니다.

참고:


댓글 남기기

Leave a Comment